<?xml version="1.0" encoding="utf-8" ?>
<taskrunner name="finish.ok" version="1.0" date="2008-09-30" maxthreads="1">

  <includes>
    <file name="vida.install.settings.xml" />
  </includes>

  <parameters>
    <parameter name="status.text" value="INPUT#"/>
  </parameters>
  
  <tasks>
    
    <task name="CreateFile" typename="@CreateFile">
      <dependencies list="start"/>
      <parameters>
        <parameter name="filename" value="${target.root}\system\log\vida.install.status"/>
        <parameter name="text" value="OK"/>
        <parameter name="append" value="false"/>
      </parameters>
    </task>

    <task name="append.reboot.required" condition="¤{alba.reboot.required}=true" typename="@CreateFile">
      <dependencies list="CreateFile"/>
      <parameters>
        <parameter name="filename" value="${target.root}\system\log\vida.install.status"/>
        <parameter name="append" value="true"/>
        <parameter name="text" value="reboot:¤{alba.reboot.required}"/>
      </parameters>
    </task>
  </tasks>
</taskrunner>